=== debian/changelog ===
atlas-ecmwf (0.44.1-1) unstable; urgency=medium

  * New upstream release
  * Move d/watch to version 4 syntax
  * Move B-D etc from dh-fortran-mod -> dh-fortran
  * Delete Build-deps on HIP libraries until HIP enabled

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Nov 2025 10:46:48 +0000
