=== debian/watch ===
version=4
https://github.com/ecmwf/atlas/tags .*/v?(\d.*)@ARCHIVE_EXT@
