=== debian/changelog ===
atlas-ecmwf (0.45.0-3) unstable; urgency=medium

  * Enable NetCDF for interpolation utils

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jan 2026 16:35:43 +0000

atlas-ecmwf (0.45.0-2) unstable; urgency=medium

  * Update lib pointers 44->45
  * Don't overridee CXXFLAGS. Closes: #	1100488

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jan 2026 09:08:30 +0000

atlas-ecmwf (0.45.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete pluto-type.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Jan 2026 10:14:10 +0000

atlas-ecmwf (0.44.1-2) unstable; urgency=medium

  * Update d/copyright with licenserecon
  * Addtional .mod file now built
  * build-dep on dh-fortran >= 0.63
  * Drop unnecessary Priority: optional
  * Standards-Version : 4.7.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Jan 2026 09:58:45 +0000
