=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: atlas-ecmwf
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
-  dh-fortran,
+  dh-fortran (>= 0.63),
   ecbuild (>= 3.3.2),
   clang-tidy,
   chrpath,
@@ -13,6 +12,8 @@
   libjemalloc-dev,
   libqhull-dev,
   libopenmpi-dev,
+  libnetcdf-dev,
+  libnetcdf-c++4-dev,
   libboost-dev,
   python3-all-dev,
   libeckit-dev (>= 1.29.3),
@@ -27,7 +28,7 @@
   libectrans-dev
 Build-Conflicts: libatlas-ecmwf-dev,
   gfortran-13
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ecmwf/atlas
 Vcs-Browser: https://salsa.debian.org/science-team/atlas-ecmwf.git
 Vcs-Git: https://salsa.debian.org/science-team/atlas-ecmwf.git -b debian/latest
