=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	-DENABLE_CLANG_TIDY=$(ENABLE_CLANG_TIDY) \
 	-DENABLE_GRIDTOOLS_STORAGE=Off  \
 	-DENABLE_TESSELATION=On \
+	-DENABLE_NETCDF=On \
 	-DENABLE_CGAL=On \
 	-DENABLE_ECTRANS=On \
 	-DENABLE_OMP=$(ENABLE_OMP) \
